package strangepatterns.encapctx;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class UpdatedStoreListener {

  public UpdatedStoreListener() {
  }

  public void processStoreChange(StoreProcessContext ctx){
    UnitLogger log = ctx.getLogger();
    log.publish("new data received...");
    StoreMsg msg = ctx.getActualMessage();
    log.publish("informations received: "+msg);
    try{
      msg = ctx.formatData(msg);
      log.publish("formatted informations: "+msg);
      log.publish("updating database...");
      ctx.updateOrdersManager(msg.getNewQuantity(),msg.getOldQuantity(),msg.getChangeDate());
    }catch(Exception exc){
     log.publish("Some Processing Error", exc);
    }
  }


}//END