package strangepatterns.encapctx;

import java.util.Date;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class StoreProcessContext {
  private UnitLogger log;
  private LocalOrdersManager ordMan;
  private StoreMsg actualMsg;

  public StoreProcessContext(StoreMsg msg, String nationId) {
    actualMsg = msg;
    ordMan = new LocalOrdersManager(nationId);
    log = LogFactory.getLoggerFor(nationId);
  }

  public UnitLogger getLogger() {
    return log;
  }

  public StoreMsg getActualMessage() {
    return actualMsg;
  }

  public void updateOrdersManager(float inQuantity, float outQuantity, Date date) {
    ordMan.newChangeDate(date);
    ordMan.regIn(inQuantity);
    ordMan.regOut(outQuantity);
    ordMan.colculateLevel();
  }

  public LocalUnitFormattedData formatData(StoreMsg msg){
   return null;
  }

} //END
