package strangepatterns.nullobject;

import java.util.Locale;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class ConversionPolicyProvider {
//
private static final ConversionPolicyProvider instance = new  ConversionPolicyProvider();
//
private static final Locale actualLocale = Locale.getDefault();


  /**
   *
   */
  private ConversionPolicyProvider() {
    System.out.println("LOCALE CAPOGRUPPO: "+Locale.getDefault());
  }

  /**
   *
   * @return
   */
  public static ConversionPolicyProvider getInstance(){
   return instance;
  }

  /**
   *
   * @param locale
   * @return
   */
  public ConversionPolicy getCurrencyConversionPolicyFor(Locale targetLocale){
    if(actualLocale.equals(targetLocale)) return new NullConversionPolicy();
    if(isEuropean(targetLocale)) return new EuroConversionPolicy(targetLocale);
    throw new RuntimeException("Unrecognized Locale: "+targetLocale);
  }

  protected boolean isEuropean(Locale locale){
   if( locale.equals(locale.FRANCE) ||
       locale.equals(locale.GERMANY) ||
       locale.equals(locale.ITALY) )return true;
    return false;
  }


}//END