package strangepatterns.role;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class Main {

  public Main() {
  }

  public static void ifDirectorUse(Employee emp) {
    if (emp.hasRole("director")) {
      Director d = (Director) emp.getRole("director");
      d.checkStoreAtDate(new java.util.Date());
      return;
    }
    System.out.println("Employee: " + emp.getName() + " isn't a Director");
  }

  public static void ifBuyerUse(Employee emp) {
    if (emp.hasRole("buyer")) {
      Buyer b = (Buyer) emp.getRole("buyer");
      b.makeOrderTo("PROD_" + (int) (Math.random() * 100),
                    (int) (Math.random() * 100));
      return;
    }
    System.out.println("Employee: " + emp.getName() + " isn't a Buyer");
  }

  public static void main(String[] args) {
    Employee[] emps = {
        EmpsManager.getEmployee(0),
        EmpsManager.getEmployee(1),
        EmpsManager.getEmployee(2)
    };

   for (int i = 0; i < emps.length; i++) {
     System.out.println("EMPLOYEE: "+emps[i].getName()+" ID: "+emps[i].getId());
     ifDirectorUse(emps[i]);
     ifBuyerUse(emps[i]);
     System.out.println("\n\n");
   }
  }

} //END